Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.jdbc.internal
Class BasicFormatterImpl

    java.lang.Object
      org.hibernate.engine.jdbc.internal.BasicFormatterImpl

All Implemented Interfaces:
  Formatter

    public class BasicFormatterImpl

extends Object
implements Formatter

Performs formatting of basic SQL statements (DML + query).

Constructor Summary
`BasicFormatterImpl()`

Method Summary
`String` | `format(String source)` Format the source SQL string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicFormatterImpl

    public BasicFormatterImpl()

Method Detail

### format

    public String format(String source)

  Description copied from interface: `Formatter`
  Format the source SQL string.

  Specified by:
    `format` in interface `Formatter`
  Parameters:
    `source` - The original SQL string
  Returns:
    The formatted version

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.